Subject: Re: [e1000 debug] KERNEL: assertion (!sk_forward_alloc) failed...

From: "David S. Miller" <[email-masked]>
Date: Fri, 31 Mar 2006 01:35:40 -0800 (PST)

From: Herbert Xu <[email-masked]>
Date: Fri, 31 Mar 2006 20:16:53 +1100

> Ingo Oeser <[email-masked]> wrote:
> > 
> > More datapoints.
> > 
> > First of all, I don't see the problem, so this is an exclusion data point.
> 
> Great.  I think so far all the configurations that have this problem
> are
> 
> e1000 + SMP + TSO
> 
> Since your machine is not SMP but has the other two things it would
> indicate that this is an SMP race.

He does not have TSO enabled, e1000 disables TSO when on a link speed
slower than gigabit.

You'll see something like the following in your logs:

e1000: eth0: e1000_watchdog_task: 10/100 speed: disabling TSO

-------------------------------------------------------
This SF.Net email is sponsored by xPML, a groundbreaking scripting language
that extends applications into web and mobile media. Attend the live webcast
and join the prime developer group breaking into this new coding territory!
http://sel.as-us.falkag.net/sel?cmd=lnk&kid=110944&bid=241720&dat=121642